Bug 2690 - Editing observer unless you reselect = null pointer exception
Summary: Editing observer unless you reselect = null pointer exception
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Sami Wagiaalla
URL:
Keywords:
Depends on:
Blocks: 3401
  Show dependency treegraph
 
Reported: 2006-05-23 19:12 UTC by Len DiMaggio
Modified: 2007-02-09 16:11 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Len DiMaggio 2006-05-23 19:12:25 UTC
In Frysk as built from the CVS head on May 21, 2006 - In the Custom Observer
GUI, when you first access the GUI, the first element in the list of observers
('Exit Notification Observer') is highlighted. If you press Edit before
re-selecting the observer, however, this exception results:

java.lang.IllegalArgumentException: the passes text argument [NoName Terminating
Task] does not match any of the items in this ComboBox
   at frysk.gui.monitor.SimpleComboBox.setSelectedText (FryskGui)
   at frysk.gui.monitor.ActionRow.<init> (FryskGui)
   at frysk.gui.monitor.ActionsTable.getNewRow (FryskGui)
   at frysk.gui.monitor.ObserverItemsTable.addRow (FryskGui)
   at frysk.gui.monitor.ObserverItemsTable.setObserver (FryskGui)
   at frysk.gui.monitor.EditObserverDialog.setAll (FryskGui)
   at frysk.gui.monitor.EditObserverDialog.editObserver (FryskGui)
   at frysk.gui.monitor.ObserversDialog$3.buttonEvent (FryskGui)
   at org.gnu.gtk.Button.fireButtonEvent (libgtkjava-2.8.so)
   at org.gnu.gtk.Button.handleClick (libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.gtk_main (libgtkjava-2.8.so)
   at org.gnu.gtk.Gtk.main (libgtkjava-2.8.so)
   at frysk.gui.Gui.gui (FryskGui)
   at frysk.gui.FryskGui.main (FryskGui)
Comment 1 Sami Wagiaalla 2007-02-09 16:11:40 UTC
Exit Notification Observer is not editable and should not be displayed.
Fixed in HEAD